// This code example is created for educational purpose
// by Thorsten Thormaehlen (contact: www.thormae.de).
// It is distributed without any warranty.

package de.unimarburg.actionmenuapp;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import android.widget.LinearLayout;

public class ActionMenu extends Activity {
  
  private int counter = 0;
  TextView tv;
  
  private OnClickListener cl = new OnClickListener() {
    @Override
    public void onClick(View v) {
      counter++;
      tv.setText("Click #" + Integer.toString(counter));
    } 
  };
  
  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    LinearLayout layout = new LinearLayout(this);
    layout.setOrientation(LinearLayout.VERTICAL);
    tv = new TextView(this);
    tv.setText("Hello World");
    layout.addView(tv);
    Button b = new Button(this);
    b.setText("Increment");
    b.setOnClickListener(cl);
    layout.addView(b);
    LinearLayout.LayoutParams lp;
    lp = (LinearLayout.LayoutParams) b.getLayoutParams();
    lp.width = LinearLayout.LayoutParams.WRAP_CONTENT;
    this.setContentView(layout);
  }

  private final int ID_MENU_INC = 1;
  private final int ID_MENU_RST = 2;
  
  @Override
  public boolean onCreateOptionsMenu(Menu menu) {
    menu.add(Menu.NONE, ID_MENU_INC, Menu.NONE, "Increment");
    menu.add(Menu.NONE, ID_MENU_RST, Menu.NONE, "Reset");
    return true;
  }
  
  @Override
  public boolean onOptionsItemSelected(MenuItem item)
  {
    counter++;
    if(item.getItemId() == ID_MENU_RST) counter = 0;
    tv.setText("Click #" + Integer.toString(counter));
    return true;
  }
  
}
